%bcond_without check

Name:           ripgrep
Version:        14.1.0
Release:        %mkrel 2
Summary:        Recursively search directories for a regex pattern
Group:          Text tools
License:        Public Domain and MIT
URL:            https://github.com/BurntSushi/ripgrep/
Source0:        %{crates_source}
BuildRequires:  cargo-rpm-macros >= 24

# Automatically generated patch to strip dependencies and normalize metadata
Patch:          ripgrep-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop unsupported SIMD feature
Patch:          ripgrep-fix-metadata.diff

%description
ripgrep is a line-oriented search tool that recursively searches your current
directory for a regex pattern. By default, ripgrep will respect your
.gitignore and automatically skip hidden files/directories and binary files.
ripgrep has first class support on Windows, macOS and Linux, with binary
downloads available for every release. ripgrep is similar to other popular
search tools like The Silver Searcher, ack and grep.

The command is "rg" (/usr/bin/rg).

%package bash-completion
Summary:       Bash completion for ripgrep
Requires:      ripgrep = %{version}-%{release}

%description bash-completion
This is the BASH completion file for ripgrep

%package fish-completion
Summary:       Fish completion for ripgrep
Requires:      ripgrep = %{version}-%{release}

%description fish-completion
This is the fish completion file for ripgrep

%package zsh-completion
Summary:       Zsh completion for ripgrep
Requires:      ripgrep = %{version}-%{release}

%description zsh-completion
This is the zsh completion file for ripgrep

%prep
%autosetup -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a

%install
%cargo_install -a

mkdir -p %{buildroot}/%{_mandir}/man1/
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
mkdir -p %{buildroot}%{_datadir}/fish/vendor_completions.d
mkdir -p %{buildroot}%{_datadir}/zsh/site-functions

./target/release/rg --generate man > %{buildroot}/%{_mandir}/man1/rg.1
./target/release/rg --generate complete-bash > %{buildroot}%{_datadir}/bash-completion/completions/rg.bash
./target/release/rg --generate complete-fish > %{buildroot}%{_datadir}/fish/vendor_completions.d/rg.fish
./target/release/rg --generate complete-zsh  > %{buildroot}%{_datadir}/zsh/site-functions/_rg

%if %{with check}
%check
%cargo_test -a
%endif

%files
%license COPYING UNLICENSE LICENSE-MIT
%doc README.md FAQ.md GUIDE.md
%{_bindir}/rg
%{_mandir}/man1/rg.1*

%files bash-completion
%{_datadir}/bash-completion/completions/rg.bash

%files fish-completion
%{_datadir}/fish/vendor_completions.d/rg.fish

%files zsh-completion
%{_datadir}/zsh/site-functions/_rg


%changelog
* Sun Jan 07 2024 wally <wally> 14.1.0-2.mga10
+ Revision: 2028773
- build using system rust pkgs
- use source from crates.io
- install man page

* Sun Jan 07 2024 kekepower <kekepower> 14.1.0-1.mga10
+ Revision: 2028487
- Update to version 14.1.0

* Wed Nov 29 2023 kekepower <kekepower> 14.0.3-1.mga10
+ Revision: 2010997
- Update to version 14.0.3

* Tue Nov 28 2023 kekepower <kekepower> 14.0.2-1.mga10
+ Revision: 2010406
- Update to version 14.0.2

* Fri Apr 01 2022 umeabot <umeabot> 13.0.0-2.mga9
+ Revision: 1837870
- Mageia 9 Mass Rebuild

* Sat Jun 12 2021 kekepower <kekepower> 13.0.0-1.mga9
+ Revision: 1730533
- Update to version 13.0.0

* Tue Jun 09 2020 kekepower <kekepower> 12.1.1-1.mga8
+ Revision: 1591107
- Update to version 12.1.1
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Sat May 09 2020 kekepower <kekepower> 12.1.0-1.mga8
+ Revision: 1582362
- Update to version 12.1.0

* Mon Mar 30 2020 kekepower <kekepower> 12.0.1-1.mga8
+ Revision: 1562383
- Update to version 12.0.1
 o Don't emit spurious error messages in git repositories with submodules.

* Mon Mar 16 2020 kekepower <kekepower> 12.0.0-1.mga8
+ Revision: 1556922
- Update to version 12.0.0
- Added completions for bash, fish and zsh

* Thu Feb 27 2020 kekepower <kekepower> 11.0.2-2.mga8
+ Revision: 1551094
- Updated the License
- Include all the license files
- Enable pcre2 support

* Thu Feb 27 2020 kekepower <kekepower> 11.0.2-1.mga8
+ Revision: 1551087
- imported package ripgrep

